/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */

package com.yifu.cloud.plus.v1.yifu.salary.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yifu.cloud.plus.v1.yifu.common.core.constant.ExcelAttribute;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;

/**
 * 薪资工资条配置明细表
 *
 * @author hgw
 * @date 2022-08-05 11:40:14
 */
@Data
@TableName("t_salary_standard_set_detail")
@Schema(description = "薪资工资条配置明细表")
public class TSalaryStandardSetDetail {

	/**
	 * id
	 */
	@TableId(type = IdType.ASSIGN_ID)
	@ExcelProperty("id")
	private String id;
	/**
	 * TSalaryStandardSet表的主键
	 */
	@ExcelAttribute(name = "TSalaryStandardSet表的主键", isNotEmpty = true, errorInfo = "TSalaryStandardSet表的主键不能为空", maxLength = 32)
	@NotBlank(message = "TSalaryStandardSet表的主键不能为空")
	@Length(max = 32, message = "TSalaryStandardSet表的主键不能超过32个字符")
	@ExcelProperty("TSalaryStandardSet表的主键")
	private String setId;
	/**
	 * cnName
	 */
	@ExcelAttribute(name = "cnName", isNotEmpty = true, errorInfo = "cnName不能为空", maxLength = 50)
	@NotBlank(message = "cnName不能为空")
	@Length(max = 50, message = "cnName不能超过50个字符")
	@ExcelProperty("cnName")
	private String cnName;
	/**
	 * orderLine
	 */
	@ExcelAttribute(name = "orderLine", isNotEmpty = true, errorInfo = "orderLine不能为空")
	@NotBlank(message = "orderLine不能为空")
	@ExcelProperty("orderLine")
	private Integer orderLine;

}
